summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author M.Dinslage2011-03-06 19:09:33 +0100
committer Robby Workman2011-03-08 19:14:45 +0100
commit3e6876f61d43f3dc3a54ff1a57b500c753036e4a (patch)
tree7b716655714b3d5f74525ef16f40579e51df04f7
parentf91748fa5dd8caf829242a1df2b8a376adce862f (diff)
downloadslackbuilds-3e6876f61d43f3dc3a54ff1a57b500c753036e4a.tar.gz
desktop/smaragd: Added (a window decoration engine for KDE)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--desktop/smaragd/README5
-rw-r--r--desktop/smaragd/doinst.sh6
-rw-r--r--desktop/smaragd/slack-desc19
-rw-r--r--desktop/smaragd/smaragd.SlackBuild81
-rw-r--r--desktop/smaragd/smaragd.info10
5 files changed, 121 insertions, 0 deletions
diff --git a/desktop/smaragd/README b/desktop/smaragd/README
new file mode 100644
index 0000000000..93281829f1
--- /dev/null
+++ b/desktop/smaragd/README
@@ -0,0 +1,5 @@
+smaragd (Emerald for KDE)
+
+Smaragd is a window decoration engine for the KDE window manager
+KWin. It allows you to use Emerald theme files (from Compiz/Beryl)
+with KDE4.
diff --git a/desktop/smaragd/doinst.sh b/desktop/smaragd/doinst.sh
new file mode 100644
index 0000000000..84d0544d34
--- /dev/null
+++ b/desktop/smaragd/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/icons/oxygen/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/oxygen >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/smaragd/slack-desc b/desktop/smaragd/slack-desc
new file mode 100644
index 0000000000..db376460a4
--- /dev/null
+++ b/desktop/smaragd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+smaragd: smaragd (Emerald for KDE)
+smaragd:
+smaragd: Smaragd is a window decoration engine for the KDE window manager
+smaragd: KWin. It allows you to use Emerald theme files (from Compiz/Beryl)
+smaragd: with KDE4.
+smaragd:
+smaragd:
+smaragd:
+smaragd:
+smaragd:
+smaragd:
diff --git a/desktop/smaragd/smaragd.SlackBuild b/desktop/smaragd/smaragd.SlackBuild
new file mode 100644
index 0000000000..e544f12684
--- /dev/null
+++ b/desktop/smaragd/smaragd.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for smaragd (Emerald for KDE)
+
+# Written by M.Dinslage contact: daedra1980@gmail.com
+
+PRGNAM=smaragd
+VERSION=${VERSION:-0.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/125162-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install VERBOSE=1 DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS NOTES README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/smaragd.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/smaragd.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/smaragd/smaragd.info b/desktop/smaragd/smaragd.info
new file mode 100644
index 0000000000..ef6f78f24b
--- /dev/null
+++ b/desktop/smaragd/smaragd.info
@@ -0,0 +1,10 @@
+PRGNAM="smaragd"
+VERSION="0.0.7"
+HOMEPAGE="http://kde-look.org/content/show.php/?content=125162"
+DOWNLOAD="http://kde-look.org/CONTENT/content-files/125162-smaragd-0.0.7.tar.gz"
+MD5SUM="2288a0a333b43d635eb476c256b1b01d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"
+APPROVED="rworkman"